#ifndef _ASM_DIV64_H
#define _ASM_DIV64_H

#include <xen/types.h>

#if BITS_PER_LONG == 64

#define do_div(n,base) ({                       \
    uint32_t __base = (base);                   \
    uint32_t __rem;                             \
    __rem = ((uint64_t)(n)) % __base;           \
    (n) = ((uint64_t)(n)) / __base;             \
    __rem;                                      \
})

#else

#error "yet to implement the 32-bit version of do_div()"

/*
 * FIXME: 
 */

#define do_div(n,base) (0)

#endif

#endif
