#ifndef __ASM_TIME_H
#define __ASM_TIME_H

#include <public/xen.h>
#include <asm/percpu.h>

typedef u64 cycles_t;

static inline cycles_t get_cycles(void)
{
    return 0;
}

struct tm wallclock_time(void);

#define rdtscll(val)							\
	({											\
		__asm__ volatile (						\
			"dmfur %0, $16\n"					\
			:"=r"(val)							\
			)})

#endif

void xen_timer_interrupt(int irq, void *info, struct cpu_user_regs *regs);
